#pragma once
 
#include<iostream>
#include <unistd.h>
#include "log.h"

using namespace std;

typedef struct{
    bool valid;
    int tcp_fd;
    unsigned short time_out;
}CONN_DEF;
class CConnection{
public:
	CConnection();
	~CConnection();
    void push_item(int fd);
    void run();
    void setEpollFd(int fd);
    static int TSendData(int fd, unsigned char *data, int len);
    static void disconnect(CONN_DEF *conn,int epollfd);
    CONN_DEF *findConnBySock(int fd);
    void *user_data;//主要用于存CApp
    int getEpollFd();

    unsigned int tmpGroupId;
    std::list<CONN_DEF *> list;
private:
    int epollfd;//用于删除EPOLL文件描述符
};