#pragma once
#include <sys/epoll.h>
#include <iostream>
#include "CTcpServer.h"
#include "CConnection.h"

#define EPOLL_SIZE 5
 
using namespace std;
 
class CEpollServer
{
public:
	CEpollServer(unsigned short port);
	~CEpollServer();
	void Start();
	CConnection *conn;
	void shut_sock(int fd);
private:
	int epollfd;
	int epollwaitefd;
	int acceptFd;
	unsigned char buf[1024]; 
	struct epoll_event epollEvent;
	struct epoll_event epollEventArray[EPOLL_SIZE];
	CTcpServer* tcp;
};