#include "CTcpServer.h"
 
CTcpServer::CTcpServer(unsigned short port)
    :CBaseSocket(port)
{
    this->address = new CHostAddress(port);
}
 
CTcpServer::~CTcpServer()
{
}
 
void CTcpServer::Run()
{
    int opt_val = 1;
    int res = 0;
 
    res = bind(this->socketFd, this->address->getAddr(), this->address->getLength());
    if (res == -1)
    {
        wlog_error("tcp bind error");
        this->Stop();
        return;
    }
 
    res = listen(this->socketFd, LISTEN_MAX_NUM);
    if (res == -1)
    {
        this->Stop();
        wlog_error("listen error");
        return;
    }
    wlog_info("TCP_Server start success:%d",this->socketFd);
}
 
void CTcpServer::Stop()
{
    if (this->socketFd != 0)
    {
        close(this->socketFd);
        this->socketFd = 0;
    }
}
 
CHostAddress* CTcpServer::getAddress()
{
    return this->address;
}
 
void CTcpServer::setAddress(CHostAddress* address)
{
    this->address = address;
}